Bug 862398 - emacs-auctex fails to update due to a buggy spec
emacs-auctex fails to update due to a buggy spec
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs-auctex (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 15:09 EDT by Michal Jaegermann
Modified: 2012-11-26 23:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-26 23:58:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2012-10-02 15:09:52 EDT
Description of problem:

With emacs-auctex-el installed an attempt to update to the current version of emacs-auctex fails with the following:

Error: Package: emacs-auctex-el-11.86-8.fc18.noarch (@rawhide/18)
           Requires: emacs-auctex = 11.86-8.fc18
....

(and this prevents an update to tex-preview as well). A changelog for the new
package says:

* Wed Sep 19 2012 Karel Klíč <kklic@redhat.com> - 11.86-9
- ELisp source code is no longer distributed in a separate package
...

So far so good but the corresponding "obsoletes" is clearly missing.

Version-Release number of selected component (if applicable):
emacs-auctex-11.86-9
Comment 1 Jonathan Underwood 2012-10-03 09:15:46 EDT
OK, this package has:

Obsoletes:      emacs-auctex-el <= 11.86-8
Provides:       emacs-auctex-el <= 11.86-8

so the obsoletes isn't missing. It's not quite clear to me why this isn't handled correctly by yum/rpm during the transaction, but I think that if I change this to:

Obsoletes:      emacs-auctex-el <= 11.86-9
Provides:       emacs-auctex-el <= 11.86-9

then it will fix the problem.
Comment 2 Fedora Update System 2012-10-03 20:40:05 EDT
emacs-auctex-11.86-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/emacs-auctex-11.86-10.fc18
Comment 3 Fedora Update System 2012-10-03 22:06:12 EDT
Package emacs-auctex-11.86-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-auctex-11.86-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15343/emacs-auctex-11.86-10.fc18
then log in and leave karma (feedback).
Comment 4 Michal Jaegermann 2012-10-04 15:30:30 EDT
(In reply to comment #3)
> Package emacs-auctex-11.86-10.fc18:
> * should fix your issue,

Yes, this indeed works and an update removes emacs-auctex-el.

> https://admin.fedoraproject.org/updates/FEDORA-2012-15343/emacs-auctex-11.86-
> 10.fc18
> then log in and leave karma (feedback).

No idea what kind of log in this wants from me and I have not the slightest intention to find out.
Comment 5 Fedora Update System 2012-11-26 23:58:40 EST
emacs-auctex-11.86-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.